Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006229TestLinkRequirement to Test Case Assignmentpublic2014-02-28 08:202014-04-25 17:38
ReporterMoulin Agora 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.9 (2013 Q4 - bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0006229: Error "Stack overflow in line: 7" (prototype.js and ext-js compatibility issue)
DescriptionEach time I try to link a "requirement" to test case, the error : Error "Stack overflow in line: 7" appears when popup is opening.
Steps To Reproduce1- Singin testlink
2- In nav bar choose "Test Specification"
3- choose test case in tree.
4- click on link "Link/Unlink requirements"
Additional InformationProblem doesn't show, by adding parameter to the instruction "TIMER = pollDoScroll.defer();" => "TIMER = pollDoScroll.defer(0,001);", in the file "third_party\prototype\prototype.js".
TagsNo tags attached.
Database (MySQL,Postgres,etc)Postgres
BrowserIE
PHP Versionphp 5.3.6
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon error_stack_overflow.jpg [^] (239,734 bytes) 2014-02-28 08:20

- Relationships
duplicate of 0006172closedfman Error "Stack overflow in line: 7" 
child of 0006048closedfman Availables hot-fixes for 1.9.9 & How To get full fixed package from gitorious 

-  Notes
(0020506)
fman (administrator)
2014-02-28 15:08

Please test with other browser (firefox , chrome).
Please provide IE version you are using.
In addition check protoptype site for a similar issue.
Next time please provide a better description.
Have you searched here and in forum before reporting?
(0020531)
Moulin Agora (reporter)
2014-03-05 07:48

Hello,

My IE version : 8.0.7601.17514
It's ok with other browser, but our institutionnal browser is Internet Explorer.
I don't need to search, i just explain you how to solve this problem.
Could you apply this correction in future version ?

Thanks
Regards
(0020534)
fman (administrator)
2014-03-05 17:53

>> I don't need to search, i just explain you how to solve this problem.
you need to search in order to duplicate issues, at least in this project we ask users to work this way.

Issue is present on a THIRD PARTY piece => is not a testlink issue but a prototype issue, then IMHO first search for similar issue need to be done on prototype site, before doing any change on this code.
(0020535)
fman (administrator)
2014-03-05 18:27
edited on: 2014-03-05 18:29

Find
http://www.sencha.com/forum/archive/index.php/t-78935.html [^]

issue is related to Ext-js and prototype compatibility.

http://comments.gmane.org/gmane.comp.lang.javascript.prototype-scriptaculous/1117 [^]
https://prototype.lighthouseapp.com/projects/8886/tickets/1271-twwo-problems-with-prototypejs-end-extjs [^]

(0020539)
fman (administrator)
2014-03-05 21:48

https://gitorious.org/testlink-ga/testlink-code/commit/5a10db041cd08168847fee13228caed87a69ad20 [^]
(0020820)
fman (administrator)
2014-04-25 17:38

1.9.10 released

- Issue History
Date Modified Username Field Change
2014-02-28 08:20 Moulin Agora New Issue
2014-02-28 08:20 Moulin Agora File Added: error_stack_overflow.jpg
2014-02-28 15:08 fman Note Added: 0020506
2014-02-28 15:09 fman Assigned To => fman
2014-02-28 15:09 fman Status new => feedback
2014-03-04 14:02 fman QA Team - Task Workflow Status => TBD
2014-03-04 14:02 fman Status feedback => closed
2014-03-04 14:02 fman Resolution open => duplicate
2014-03-04 14:02 fman Relationship added duplicate of 0006172
2014-03-05 07:48 Moulin Agora Note Added: 0020531
2014-03-05 07:48 Moulin Agora Status closed => assigned
2014-03-05 07:48 Moulin Agora Resolution duplicate => reopened
2014-03-05 17:53 fman Note Added: 0020534
2014-03-05 18:27 fman Note Added: 0020535
2014-03-05 18:27 fman Note Edited: 0020535 View Revisions
2014-03-05 18:29 fman Note Edited: 0020535 View Revisions
2014-03-05 18:40 fman Summary Error "Stack overflow in line: 7" => Error "Stack overflow in line: 7" (prototype.js and ext-js compatibility issue)
2014-03-05 21:48 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-03-05 21:48 fman Note Added: 0020539
2014-03-05 21:48 fman Status assigned => resolved
2014-03-05 21:48 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)
2014-03-05 21:48 fman Resolution reopened => fixed
2014-03-05 21:48 fman Relationship added child of 0006048
2014-04-25 17:38 fman Note Added: 0020820
2014-04-25 17:38 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker